Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.54
Release: 4
Copyright: GPL or BSD
Group: Base
Source: http://parc.power.net/morgan/Linux-PAM/Linux-PAM-0.54.tar.gz
Patch: Linux-PAM-0.54-defaults.patch
Patch1: Linux-PAM-0.54-dirs.patch
Patch2: Linux-PAM-0.54-nofaildelay.patch
Patch3: Linux-PAM-0.54-prompt.patch
Patch4: Linux-PAM-0.54-groupconf.patch
Patch5: Linux-PAM-0.54-timeconf.patch
Patch6: Linux-PAM-0.54-radiusconf.patch
Patch7: Linux-PAM-0.54-limitsconf.patch
Patch8: Linux-PAM-0.54-sgml2ps.patch
Patch9: Linux-PAM-0.54-nopasswd+.patch
Patch10: Linux-PAM-0.54-noaxp.patch
Patch11: Linux-PAM-0.54-glibc.patch
Patch12: Linux-PAM-0.54-abortonloaderr.patch
Patch13: Linux-PAM-0.54-ldx.patch
Requires: pamconfig, cracklib-dicts, pwdb

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%prep
%setup -n Linux-PAM-0.54
%patch -p1 -b .defaults
%patch1 -p1 -b .dirs
%patch2 -p1 -b .nofaildelay
%patch3 -p1 -b .prompt
%patch4 -p1 -b .groupconf
%patch5 -p1 -b .timeconf
%patch6 -p1 -b .radiusconf
%patch7 -p1 -b .limitsconf
%patch8 -p1 -b .sgml2ps
%patch9 -p1 -b .nopasswd+
%patch12 -p1 -b .loaderr
%patch13 -p1 -b .ldx

%ifarch alpha
%patch10 -p1 -b .noaxp
%patch11 -p1 -b .noaxp
%endif

%build
rm default.defs
ln -s defs/redhat.defs default.defs
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
(cd doc ; make)

%install
rm -rf /lib/security/*
mkdir -p /usr/include/security
make install

%post
ldconfig
# /etc/pam.conf is owned by the setup package, and only contains
# lines for OTHER and DEFAULT.
# DEFAULT is for our scripts; it isn't used directly by PAM
# All apps which use pam use pamconfig to append appropriate
# service lines to /etc/pam.conf if they aren't already there.

%files
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so.0.54
/lib/libpam.so
/lib/libpam_misc.so.0.54
/lib/libpam_misc.so
/lib/libpam_misc.a
/usr/include/security/_pam_types.h
/usr/include/security/_pam_macros.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_modules.h
/usr/include/security/pam_misc.h
/sbin/pam_filter
/lib/security
%config /etc/security/time.conf
%config /etc/security/group.conf
